/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.velocitycore.commands;

import de.steamwar.command.SWCommand;
import de.steamwar.linkage.EventMode;
import de.steamwar.linkage.Linked;
import de.steamwar.messages.Chatter;
import de.steamwar.sql.SteamwarUser;

@Linked
@EventMode(false)
public class WebpasswordCommand extends SWCommand {

    public WebpasswordCommand() {
        super("webpassword", "webpw", "web");
    }


    @Register(description = "WEB_USAGE")
    public void genericCommand(Chatter sender, String password) {
        if(password.length() < 8) {
            sender.system("WEB_PASSWORD_LENGTH");
            return;
        }

        SteamwarUser user = sender.user();
        boolean resetPW = user.hasPassword();

        user.setPassword(password);

        sender.system(resetPW ? "WEB_UPDATED" : "WEB_CREATED");
    }
}
